Subject: Re: [PATCH net] ipv6: kill sk_dst_lock

From: Paolo Abeni <[email-masked]>
Date: Mon, 30 Nov 2015 19:13:08 +0100

On Mon, 2015-11-30 at 08:35 -0800, Eric Dumazet wrote:
> ip6_sk_dst_lookup_flow() uses sk_dst_check() anyway, so the simplest
> way to fix the mess is to remove sk_dst_lock completely, as we did for
> IPv4.

Probably I'm missing something here, but why we don't need to sync the
update of sk_dst_cache and of dst_cookie (i.e. put them under the same
lock)?

Can't we end up with inconsistent values after concurrent udp
sendmsg() ? 

Cheers,

Paolo